Skip to main content
GET
/
v1
/
agents
/
{agent_id}
JavaScript
import Profound from '@profoundai/client';

const client = new Profound({
  apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});

const agent = await client.agents.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');

console.log(agent.id);
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "draft",
  "created_at": "2023-11-07T05:31:56Z",
  "schema": {
    "input": {},
    "output": {}
  },
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string<uuid>
required

The ID of the agent to retrieve.

Query Parameters

version
enum<string>
default:published

Version of the agent to retrieve. Use published for the live version, or draft for the latest unpublished changes for the same agent. Defaults to published.

Available options:
published,
draft

Response

Successful Response

Detailed information for an agent.

id
string<uuid>
required

Unique ID for the agent.

organization_id
string<uuid>
required

Unique ID of the organization that owns the agent.

name
string
required

Display name of the agent.

status
enum<string>
required

Current status of the agent.

Available options:
draft,
published,
unknown
created_at
string<date-time>
required

When the agent was created.

schema
AgentSchema · object
required

Input and output schemas for this agent.

description
string | null

Short description of the agent, if provided.